QScintilla: QsciLexerCSharp Class Reference

# QsciLexerCSharp Class Reference

The QsciLexerCSharp class encapsulates the Scintilla C# lexer. More...

`#include <qscilexercsharp.h>`

Inherits QsciLexerCPP.

List of all members.

## Public Member Functions

- QsciLexerCSharp (QObject *parent=0)
- virtual ~QsciLexerCSharp ()
- const char * language () const
- QColor defaultColor (int style) const
- bool defaultEolFill (int style) const
- QFont defaultFont (int style) const
- QColor defaultPaper (int style) const
- const char * keywords (int set) const
- QString description (int style) const

## Detailed Description

The QsciLexerCSharp class encapsulates the Scintilla C# lexer.

## Constructor & Destructor Documentation

QsciLexerCSharp::QsciLexerCSharp | ( | QObject * | parent = `0` | ) |

Construct a QsciLexerCSharp with parent parent. parent is typically the QsciScintilla instance.

virtual QsciLexerCSharp::~QsciLexerCSharp | ( |  | ) | `[virtual]`

Destroys the QsciLexerCSharp instance.

## Member Function Documentation

const char* QsciLexerCSharp::language | ( |  | ) | const`[virtual]`

Returns the name of the language.

Reimplemented from QsciLexerCPP.

QColor QsciLexerCSharp::defaultColor | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

See also:
  defaultPaper()

Reimplemented from QsciLexerCPP.

bool QsciLexerCSharp::defaultEolFill | ( | int | style | ) | const`[virtual]`

Returns the end-of-line fill for style number style.

Reimplemented from QsciLexerCPP.

QFont QsciLexerCSharp::defaultFont | ( | int | style | ) | const`[virtual]`

Returns the font for style number style.

Reimplemented from QsciLexerCPP.

QColor QsciLexerCSharp::defaultPaper | ( | int | style | ) | const`[virtual]`

Returns the background colour of the text for style number style.

See also:
  defaultColor()

Reimplemented from QsciLexerCPP.

const char* QsciLexerCSharp::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QsciLexerCPP.

QString QsciLexerCSharp::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then an empty QString is returned. This is intended to be used in user preference dialogs.

Reimplemented from QsciLexerCPP.